Subject: bug#39977: 28.0.50; Unhelpful stack trace

From: martin rudalics <[email-masked]>
Date: Sat, 14 Mar 2020 11:37:24 +0100

> My understanding of the scenario in this report was that the value of
 > selected_frame didn't have time to become updated before redisplay
 > kicked in.

My understanding is the same.  But we should not allow redisplay to kick
in before selected_frame is updated.

 > If you think the problem is elsewhere, I'm okay with
 > leaving this crash in emacs-27 until we understand the cause of that
 > and fix it elsewhere. I just hope you will have the solution quickly
 > enough to not release Emacs 27 with this crash.

I don't oppose your patch and that's why I didn't comment it initially.
If you think it's urgent to fix this specific crash, push it.  But we
obviously might also let more serious bugs pass through that mechanism
then.  If Madhu has a simple recipe to reproduce the crash, we should
IMHO try to profit from it.  If he responds at all.

martin